<?php

//Convert sizes into readable format
function size_readable($size) {
	if($size >= 1073741824) {
		$sized = round($size / 1073741824 * 100) / 100 . " GB";
	} elseif($size >= 1048576) {
		$sized = round($size / 1048576 * 100) / 100 . " MB";
	} elseif($size >= 1024) {
		$sized = round($size / 1024 * 100) / 100 . " KB";
	} else $sized = $size . " Bytes";
	if($size==0) $sized="-";
	return $sized;
}

//Get permissions
function get_perms($path) {
	$perm = decoct(fileperms($path) & 0777);
	return $perm;
}

//Convert permissions to readable 
function perms_readable($num) {
	$read = "";
	for($i=0;$i<3;$i++) {
		if(($num{$i} & 04)) $read .= "r";
		else $read .= "-";
		if(($num{$i} & 02)) $read .= "w";
		else $read .= "-";
		if(($num{$i} & 01)) $read .= "x";
		else $read .= "-";
	}
	return $read;
}

//Check last characters
function endsWith($str, $sub) {
    if(mb_substr($str,mb_strlen($str)-mb_strlen($sub)) == $sub) return true;
	else return false;
}

//Return upload error
function file_error_check($error) {
	switch ($error) {
	   case UPLOAD_ERR_OK:
		   break;
	   case UPLOAD_ERR_INI_SIZE:
		   return "The uploaded file exceeds the upload_max_filesize directive (".ini_get("upload_max_filesize").") in php.ini.";
		   break;
	   case UPLOAD_ERR_FORM_SIZE:
		   return "The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form.";
		   break;
	   case UPLOAD_ERR_PARTIAL:
		   return "The uploaded file was only partially uploaded.";
		   break;
	   case UPLOAD_ERR_NO_FILE:
		   return "No file was uploaded.";
		   break;
	   case UPLOAD_ERR_NO_TMP_DIR:
		   return "Missing a temporary folder.";
		   break;
	   case UPLOAD_ERR_CANT_WRITE:
		   return "Failed to write file to disk";
		   break;
	   default:
		   return "Unknown error";
	}
}

//What am i
function whatami($file) {
	$ext = mb_strtolower(strrchr($file, '.')); 
	if(in_array($ext, array(".exe"))) return "exe";
	else if(in_array($ext, array(".jpg", ".jpeg", ".gif", ".png", ".bmp"))) return "img";
	else if(in_array($ext, array(".txt", ".rtf", ".css", ".htm", ".xml", ".html", ".js", ".asp", ".doc", ".tpl"))) return "txt";
	else if(in_array($ext, array(".zip", ".rar", ".tz", ".tg"))) return "zip";
	else if(in_array($ext, array(".wma", ".mp4", ".mp3"))) return "cd";
	else if(in_array($ext, array(".php"))) return "script";
	else if(in_array($ext, array(".sql"))) return "sql";
	else if(in_array($ext, array(".avi"))) return "avi";
	else if(in_array($ext, array(".pdf"))) return "pdf";
	else if(in_array($ext, array(".fla"))) return "fla";
	else if(in_array($ext, array(".swf"))) return "swf";
	else return "file";
}
	
?>